Skip to main content
GET
/
v1
/
webhook-endpoints
/
{id}
Get a webhook endpoint
curl --request GET \
  --url https://api.scrip.dev/v1/webhook-endpoints/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.scrip.dev/v1/webhook-endpoints/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.scrip.dev/v1/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "circuit_broken_until": "2026-01-15T10:40:00Z",
  "created_at": "2026-01-15T10:30:00Z",
  "description": "Production webhook receiver",
  "enabled_events": [
    "balance.credited",
    "balance.debited"
  ],
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "metadata": "<unknown>",
  "rate_limited_until": "2026-01-15T10:35:00Z",
  "secret": "whsec_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
  "status": "ACTIVE",
  "updated_at": "2026-01-15T10:30:00Z",
  "url": "https://example.com/webhooks"
}
{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}
{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}
{
"code": "forbidden",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Insufficient permissions for this action"
}
{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}
{
"code": "internal_error",
"message": "An internal error occurred"
}
Returns a single webhook endpoint by ID. The secret field is not included. It is only returned on create and rotate secret.
For usage patterns and examples, see the Webhooks guide.

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header.

Path Parameters

id
string<uuid>
required

Endpoint ID

Response

Endpoint details

circuit_broken_until
string

When set and in the future, the circuit breaker has paused deliveries to this endpoint until this time (sustained delivery failures)

Example:

"2026-01-15T10:40:00Z"

created_at
string<date-time>

When the endpoint was created

Example:

"2026-01-15T10:30:00Z"

description
string

Human-readable label

Example:

"Production webhook receiver"

enabled_events
string[]

Subscribed event types

Example:
["balance.credited", "balance.debited"]
id
string<uuid>

Endpoint ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

metadata
any

Arbitrary metadata

rate_limited_until
string

When set and in the future, 429 rate-limit backoff has paused deliveries to this endpoint until this time

Example:

"2026-01-15T10:35:00Z"

secret
string

Signing secret (only returned on create and rotate — store it immediately)

Example:

"whsec_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2"

status
string

Lifecycle status: ACTIVE, DISABLED, or ARCHIVED

Example:

"ACTIVE"

updated_at
string<date-time>

When the endpoint was last modified

Example:

"2026-01-15T10:30:00Z"

url
string

Destination URL for deliveries

Example:

"https://example.com/webhooks"